Scala support upgrades sbt version to 0.13.8

Change effective on 23 March 2015

Newly-deployed Scala and Play 2.x apps will now be built with sbt 0.13.8 by default. This version can be downgraded by defining an earlier version in your project’s project/ file. For more information on Heroku’s Scala support, see the Scala documentation in the Dev Center.